trust-store: core::trust::Store Class Reference

trust-store 2.0.0 Provides a common implementation of a trust store to be used by trusted helpers.

Classes | Public Member Functions | Protected Member Functions | List of all members
core::trust::Store Class Referenceabstract

Models read/write/query access to persisted trust requests. More...

`#include <store.h>`

Collaboration diagram for core::trust::Store:

## Classes
struct | Errors
| All Store-specific error/exception types go here. More...
class | Query
| The Query class encapsulates queries against a trust store instance. More...

## Public Member Functions
| Store (const Store &)=delete
virtual | ~Store ()=default
Store & | operator= (const Store &)=delete
bool | operator== (const Store &) const =delete
virtual void | reset ()=0
| Resets the state of the store, implementations should discard all persistent and non-persistent state. More...
virtual void | add (const Request &request)=0
| Add the provided request to the store. When this function returns true, the request has been persisted by the implementation. More...
virtual std::shared_ptr< Query > | query ()=0
| Create a query for this store. More...

## Protected Member Functions
| Store ()=default

## Detailed Description

Models read/write/query access to persisted trust requests.

Definition at line 49 of file store.h.

## Constructor & Destructor Documentation

## ◆ Store() [1/2]

core::trust::Store::Store | ( | const Store & |  | ) |
| delete

## ◆ ~Store()

virtual core::trust::Store::~Store | ( |  | ) |
| virtualdefault

## ◆ Store() [2/2]

core::trust::Store::Store | ( |  | ) |
| protecteddefault

## Member Function Documentation

## ◆ add()

virtual void core::trust::Store::add | ( | const Request & | request | ) |
| pure virtual

Add the provided request to the store. When this function returns true, the request has been persisted by the implementation.

## ◆ operator=()

Store& core::trust::Store::operator= | ( | const Store & |  | ) |
| delete

## ◆ operator==()

bool core::trust::Store::operator== | ( | const Store & |  | ) | const
| delete

## ◆ query()

virtual std::shared_ptr<Query> core::trust::Store::query | ( |  | ) |
| pure virtual

Create a query for this store.

## ◆ reset()

virtual void core::trust::Store::reset | ( |  | ) |
| pure virtual

Resets the state of the store, implementations should discard all persistent and non-persistent state.

The documentation for this class was generated from the following file:

- /build/trust-store-git/src/trust-store/include/core/trust/store.h